check out specific version of yosys needed for ls180 build
[dev-env-setup.git] / hdl-dev-repos
1 #!/bin/bash
2 if [ "$EUID" -ne 0 ]
3 then echo "Please run as root"
4 exit
5 fi
6
7 runuser $SUDO_USER --preserve-environment -c '
8 cd /home/$SUDO_USER
9 mkdir src
10 cd src
11 git clone https://github.com/nmigen/nmigen.git
12 git clone https://git.libre-soc.org/git/c4m-jtag.git
13 git clone https://git.libre-soc.org/git/nmutil.git
14 git clone https://git.libre-soc.org/git/ieee754fpu.git
15 git clone https://git.libre-soc.org/git/nmigen-soc.git
16 git clone https://git.libre-soc.org/git/soc.git
17 '
18 cd /home/$SUDO_USER/src/nmigen
19 python3 setup.py develop
20 cd ../c4m-jtag
21 python3 setup.py develop
22 cd ../nmutil
23 python3 setup.py develop
24 cd ../ieee754fpu
25 git submodule update --init --recursive
26 python3 setup.py develop
27 cd ../nmigen-soc
28 python3 setup.py develop
29 cd ../soc
30 git submodule update --init --recursive
31 python3 setup.py develop
32 cd ../
33 chown -R $SUDO_USER .
34 chgrp -R $SUDO_USER .
35 echo -e "
36 \e[1;91mAll Libre-SOC dev dependenices should now be installed.\e[0m
37 "